Rate AI answer
curl --request PATCH \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId}/rate-ai-answer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rating": "<string>"
}
'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId}/rate-ai-answer"
payload = { "rating": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rating: '<string>'})
};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId}/rate-ai-answer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": null
}
Conversations
Rate AI answer
PATCH
/
chatbots
/
{chatbotId}
/
conversations
/
{conversationId}
/
messages
/
{messageId}
/
rate-ai-answer
Rate AI answer
Use this endpoint to rate an AI answer as helpful or not helpful. You can only rate AI answers generated using the Knowledge Base.
Request parameters
Path
string
required
The chatbot ID.
string
required
The conversation ID.
string
required
The message ID.
Body
string
required
0: Remove rating1: Helpful-1: Not helpful
Response
string
The status of the request. Will be
success if the request was successful, otherwise error.{
"status": "success",
"data": null
}
⌘I

